// Показывать или нет поля для настройки ККМ
$('body').off('change', 'form select[name="active"]');
$('body').on('change', 'form select[name="active"]', function(){
	if($(this).val()==1) {
		$('tr.active').show();
	}
	else {
		$('tr.active').hide();
	}
});

// Показывать или нет поля для настройки ФР
$('body').off('change', 'form select[name="type"]');
$('body').on('change', 'form select[name="type"]', function(){
	if($(this).val()==1) {
		$('tr.kkm_type').show();
	}
	else {
		$('tr.kkm_type').hide();
	}
});

// Снять или поставить пометку о прочтении в логах синхронизации
$('input[name="read_log"]').change(function(){
	var log_id=$(this).attr('for');
	send_form($('form[name="read_log_form_'+log_id));
});

// Пометить все логи как прочитанные
$('input[name="read_all_logs"]').click(function(){
	$('input[name="read_log"]').prop('checked', true);
	load_ajax('/settings/read_all_logs');
});

// Установка налогов
function set_vat(vat) {
	for(var i=0; i<6; i++) {
		$('input[name="vat['+i+']"]').val(vat[i]);
	}
}

// Настроить налоги как в АТОЛ
$('body').off('click', 'input[name="atol_type"]');
$('body').on('click', 'input[name="atol_type"]', function(){
	var vat=[4,1,5,2,6,3];
	set_vat(vat);
});

// Настроить налоги как в Штрих-М
$('body').off('click', 'input[name="shtrihm_type"]');
$('body').on('click', 'input[name="shtrihm_type"]', function(){
	var vat=[4,3,6,2,5,1];
	set_vat(vat);
});


// Отображение ссылки на настройку драйвера
$('body').off('change', 'select[name="driver"]');
$('body').on('change', 'select[name="driver"]', function(){
	var path=$(this).val();
	if(path!='') {
		$('#driver_settings').attr('href', '/settings/drivers?path='+path);
		$('#driver_settings').removeClass('hide');
	}
	else {
		$('#driver_settings').attr('href', '');
		$('#driver_settings').addClass('hide');
	}
});
